## Utility for audiofiles augmentation

This program is a wrapper around Sox library for audio augmentation allowing to apply speed, pad, contrast and dcshift augmentations to one audio or a batch of audios

List of possible augmentations: `contrast`, `speed`, `dcshift`, `pad`, `noise`, `volume`, `random_pad`, `random_volume`, `random_speed`, `add_background`, `concat`

[Good site](https://www.soundeffectsplus.com/category/background-ambience/1/) for background sounds

### Getting started
```
$ git clone https://github.com/artemseninhse/audiofiles_processing.git
$ cd audiofiles_processing/
$ pip install -r requirements.txt
```

### Launch from terminal
```
$ python3 audio_transform.py \
$ --in_path audio_folder \
$ --out_path transformed_folder \
$ --transform pad \
$ --params 1 0
```

### Launch from Jupyter Notebook
```
from audio_transform import AudioAug
in_path, out_dir = "audio_folder", "transformed_folder"
transform, params = "pad", [1, 0]
augmentor = AudioAug(transform, params)
augmentor.apply(in_path, out_dir)
```
